Google blocks TLS 1.0 and TLS 1.1 in Google Chrome 81

Google will delete Chrome TLS 1.0 and 1.1 for security reasons in the next version of Chrome. This means that websites using these Transport Layer Security versions are no longer accessible. The TLS protocol, which is used to set up a secure connection, among other things, has been in existence for more than 20 years.

All major browser developers have indicated that they will stop supporting TLS 1.0 and 1.1 for security reasons.

google chrome logoGoogle states that TLS 1.0 and 1.1 contain different vulnerabilities. Also, the protocols no longer comply with the PCI DSS guideline for payment card transactions on the Internet.

Chrome currently shows websites with TLS 1.0 and 1.1 as “not safe.” Despite the warning, which contains information about the outdated TLS configuration, users can still visit the website in question.

This will change with the launch of Chrome 81.

TLS 1.0 and 1.1 will then disappear completely from the browser. Websites with a secure connection can then only be visited if they use TLS 1.2 or 1.3. Chrome 81 is scheduled for March 17.

Last week Mozilla announced that Firefox would block websites with TLS 1.0 and 1.1 from March. For now, Firefox will be provided with a button to unblock it.


Share this article online!
Sharing is caring! Do you care about a safer world wide web? I think you do! Help other people by sharing this information on social media. You can use the social media network buttons below.

 

 

You might find these articles useful

About The Author

Add Comment